跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

查詢參數

api-version string 必要

The API version to use for this operation.

標頭參數

Foundry-Features enum 必要

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

路徑參數

name string 必要

Name of the model.

version string 必要

Version of the model.

要求本文

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum 必要

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

回覆

The request has succeeded.

主體

Content-Type: application/json
blobReference BlobReference 必要

Blob reference details.

blobUri string 必要

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string 必要

ARM ID of the storage account to use.

credential SasCredential 必要

SAS Credential definition

sasUri string 必要

SAS uri

type enum 必要

Type of credential

SAS
pendingUploadId string 必要

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum 必要

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

標題

x-ms-error-code string

String error code indicating what went wrong.

主體

Content-Type: application/json
error Azure.Core.Foundations.Error 必要

The error object.

code string 必要

One of a server-defined set of error codes.

message string 必要

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

標題

x-ms-error-code string

String error code indicating what went wrong.

主體

Content-Type: application/json
error Azure.Core.Foundations.Error 必要

The error object.

code string 必要

One of a server-defined set of error codes.

message string 必要

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Request

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026